### DbEnv::rep_set_nsites |

`

###

    #include <db_cxx.h>

    int
    DbEnv::rep_set_nsites(int nsites);

    int
    DbEnv::rep_get_nsites(int *nsitesp);

### Description: DbEnv::rep_set_nsites

The DbEnv::rep_set_nsites method specifies the total number of sites in a replication group.

The DbEnv::rep_set_nsites method is typically called by applications which use the Berkeley DB library "replication manager" support. (However, see also the DbEnv::rep_elect man page, the description of the nsites parameter.)

The DbEnv::rep_set_nsites method configures a database environment, not only operations performed using the specified DbEnv handle.

The DbEnv::rep_set_nsites method may be called at any time during the life of the application.

The DbEnv::rep_set_nsites method either returns a non-zero error value or throws an exception that encapsulates a non-zero error value on failure, and returns 0 on success.

### Parameters

nsites
  A positive integer specifying the total number of sites in the replication group.

### Description: DbEnv::rep_get_nsites

The DbEnv::rep_get_nsites method returns the total number of sites in the replication group.

The DbEnv::rep_get_nsites method may be called at any time during the life of the application.

The DbEnv::rep_get_nsites method either returns a non-zero error value or throws an exception that encapsulates a non-zero error value on failure, and returns 0 on success.

### Parameters

nsitesp
  The DbEnv::rep_get_nsites method returns the total number of sites in the replication group in nsitesp.

### Class

DbEnv

### See Also

Replication and Related Methods`

Copyright (c) 1996,2007 Oracle. All rights reserved.